=== modified file 'bzrlib/tests/per_repository/test_check.py'
--- bzrlib/tests/per_repository/test_check.py	2011-05-18 18:49:43 +0000
+++ bzrlib/tests/per_repository/test_check.py	2011-09-09 12:16:16 +0000
@@ -18,7 +18,6 @@
 """Test operations that check the repository for corruption"""
 
 from bzrlib import (
-    config as _mod_config,
     revision as _mod_revision,
     )
 from bzrlib.tests.per_repository import TestCaseWithRepository
@@ -43,18 +42,17 @@
 class TestCleanRepository(TestCaseWithRepository):
 
     def test_new_repo(self):
-        repo = self.make_repository('foo')
-        repo.lock_write()
-        self.addCleanup(repo.unlock)
-        config = _mod_config.Config()
+        branch = self.make_branch('foo')
+        branch.lock_write()
+        self.addCleanup(branch.unlock)
         self.overrideEnv('BZR_EMAIL', 'foo@sample.com')
-        builder = repo.get_commit_builder(None, [], config)
+        builder = branch.get_commit_builder([], branch.get_config())
         list(builder.record_iter_changes(None, _mod_revision.NULL_REVISION, [
             ('TREE_ROOT', (None, ''), True, (False, True), (None, None),
             (None, ''), (None, 'directory'), (None, False))]))
         builder.finish_inventory()
         rev_id = builder.commit('first post')
-        result = repo.check(None, check_repo=True)
+        result = branch.repository.check(None, check_repo=True)
         result.report_results(True)
         log = self.get_log()
         self.assertFalse('Missing' in log, "Something was missing in %r" % log)

